net.sf.okapi.common.skeleton

## Class ZipSkeleton

- java.lang.Object
- - net.sf.okapi.common.skeleton.GenericSkeleton
  - - net.sf.okapi.common.skeleton.ZipSkeleton

- All Implemented Interfaces:
    ISkeleton

      public class ZipSkeleton
      extends GenericSkeleton

  Extension of the `GenericSkeleton` skeleton implementation that allow ZipFile and ZipEntry objects to be passed along with skeleton parts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipSkeleton(GenericSkeleton skel, java.util.zip.ZipFile original, java.util.zip.ZipEntry entry)`
    `ZipSkeleton(java.util.zip.ZipFile original, java.util.zip.ZipEntry entry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZipSkeleton` | `clone()` Clones this GenericSkeleton object.
    `java.util.zip.ZipEntry` | `getEntry()`
    `java.lang.String` | `getModifiedContents()`
    `java.util.zip.ZipFile` | `getOriginal()`
    `void` | `setModifiedContents(java.lang.String modifiedContents)`

    - ### Methods inherited from class net.sf.okapi.common.skeleton.GenericSkeleton

      `add, add, add, addContentPlaceholder, addContentPlaceholder, addReference, addValuePlaceholder, append, append, appendToFirstPart, attachParent, changeSelfReferents, copyFields, flushPart, getFirstPart, getLastPart, getParent, getParts, isEmpty, isEmpty, setParent, setParts, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipSkeleton

          public ZipSkeleton(java.util.zip.ZipFile original,
                             java.util.zip.ZipEntry entry)

    - #### ZipSkeleton

          public ZipSkeleton(GenericSkeleton skel,
                             java.util.zip.ZipFile original,
                             java.util.zip.ZipEntry entry)

  - ### Method Detail

    - #### getOriginal

          public java.util.zip.ZipFile getOriginal()

    - #### getEntry

          public java.util.zip.ZipEntry getEntry()

    - #### getModifiedContents

          public java.lang.String getModifiedContents()

    - #### setModifiedContents

          public void setModifiedContents(java.lang.String modifiedContents)

    - #### clone

          public ZipSkeleton clone()

      Description copied from class: `GenericSkeleton`
      Clones this GenericSkeleton object. Shallow copy is provided as the cloned skeleton can be coupled with its original via the parent field. After the cloned skeleton is attached to a parent resource which implementation invokes ISkeleton.setParent(), the copy becomes deep as the parent fields are updated with new values thus decoupling the original and the clone.
      Specified by:
        `clone` in interface `ISkeleton`
      Overrides:
        `clone` in class `GenericSkeleton`
      Returns:
        a new GenericSkeleton object that is a shallow copy of this object.